import 'bootstrap.css';
import '@mescius/wijmo.styles/wijmo.css';
import './styles.css';
import * as wjInput from '@mescius/wijmo.input';
import * as wjFlexSheet from '@mescius/wijmo.grid.sheet';
import { getTableData } from './data';
//
document.readyState === 'complete' ? init() : window.onload = init;
//
function init() {
let tableSheet = new wjFlexSheet.FlexSheet('#tableSheet');
tableSheet.addUnboundSheet('Table', 20, 7);
let selectedTable = null;
let tableStyleNames = [], i;
for (i = 1; i <= 21; i++) {
tableStyleNames.push('TableStyleLight' + i);
}
for (i = 1; i <= 28; i++) {
tableStyleNames.push('TableStyleMedium' + i);
}
for (i = 1; i <= 11; i++) {
tableStyleNames.push('TableStyleDark' + i);
}
let cboTableStyles = new wjInput.ComboBox('#tableStyles', {
itemsSource: tableStyleNames,
isEditable: false
});
cboTableStyles.selectedIndexChanged.addHandler(() => {
// apply the table style for the selected table.
if (selectedTable) {
let tableStyle = tableSheet.getBuiltInTableStyle(cboTableStyles.selectedValue);
selectedTable.style = tableStyle;
}
});
let tableStyle = tableSheet.getBuiltInTableStyle('TableStyleDark9');
tableSheet.selectedSheet.addTableFromArray(2, 1, getTableData(10), null, 'Table1', tableStyle, { showTotalRow: true });
onClick('showHeaderRow', (e) => {
if (selectedTable) {
selectedTable.showHeaderRow = e.target.checked;
}
});
onClick('showTotalRow', (e) => {
if (selectedTable) {
selectedTable.showTotalRow = e.target.checked;
}
});
onClick('showBandedRows', (e) => {
if (selectedTable) {
selectedTable.showBandedRows = e.target.checked;
}
});
onClick('showBandedColumns', (e) => {
if (selectedTable) {
selectedTable.showBandedColumns = e.target.checked;
}
});
onClick('alterFirstColumn', (e) => {
if (selectedTable) {
selectedTable.alterFirstColumn = e.target.checked;
}
});
onClick('alterLastColumn', (e) => {
if (selectedTable) {
selectedTable.alterLastColumn = e.target.checked;
}
});
tableSheet.selectionChanged.addHandler((sender, args) => {
let selection = args.range;
if (selection.isValid) {
getSelectedTable(selection, tableSheet);
}
else {
selectedTable = null;
}
});
tableSheet.updatedLayout.addHandler(() => {
if (tableSheet.selection && tableSheet.selection.isValid) {
getSelectedTable(tableSheet.selection, tableSheet);
}
else {
selectedTable = null;
}
});
// Get selected table in FlexSheet.
function getSelectedTable(seletion, flexSheet) {
if (flexSheet) {
selectedTable = flexSheet.selectedSheet.findTable(seletion.row, seletion.col);
let tableSettings = document.querySelector('#tableSettings');
if (selectedTable) {
tableSettings.style.display = '';
let tableStyle = flexSheet.getBuiltInTableStyle(selectedTable.style.name);
if (tableStyle) {
cboTableStyles.selectedValue = tableStyle.name;
}
getTableSettings();
}
else {
tableSettings.style.display = 'none';
}
}
}
function getTableSettings() {
let showHeaderRow = document.querySelector('#showHeaderRow'), showTotalRow = document.querySelector('#showTotalRow'), showBandedRows = document.querySelector('#showBandedRows'), showBandedColumns = document.querySelector('#showBandedColumns'), alterFirstColumn = document.querySelector('#alterFirstColumn'), alterLastColumn = document.querySelector('#alterLastColumn');
if (selectedTable) {
showHeaderRow.checked = selectedTable.showHeaderRow;
showTotalRow.checked = selectedTable.showTotalRow;
showBandedRows.checked = selectedTable.showBandedRows;
showBandedColumns.checked = selectedTable.showBandedColumns;
alterFirstColumn.checked = selectedTable.alterFirstColumn;
alterLastColumn.checked = selectedTable.alterLastColumn;
}
}
function onClick(id, fn) {
document.querySelector('#' + id).addEventListener('click', fn);
}
}
<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<title>MESCIUS Wijmo FlexSheet Table</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<!-- SystemJS -->
<script src="https://cdn.jsdelivr.net/npm/systemjs@0.21.5/dist/system.src.js" integrity="sha512-skZbMyvYdNoZfLmiGn5ii6KmklM82rYX2uWctBhzaXPxJgiv4XBwJnFGr5k8s+6tE1pcR1nuTKghozJHyzMcoA==" crossorigin="anonymous"></script>
<script src="systemjs.config.js"></script>
<script>
System.import('./src/app');
</script>
</head>
<body>
<div class="container-fluid">
<div id="tableSheet"></div>
<div id="tableSettings" class="well well-lg" style="display: none;">
<h4>Table Style Options</h4>
<div>
<label>
<input id="showHeaderRow" class="form-check-input" type="checkbox">
Header Row
</label>
<label>
<input id="showTotalRow" class="form-check-input" type="checkbox">
Total Row
</label>
</div>
<div>
<label>
<input id="showBandedRows" class="form-check-input" type="checkbox">
Banded Rows
</label>
<label>
<input id="showBandedColumns" class="form-check-input" type="checkbox">
Banded Columns
</label>
</div>
<div>
<label>
<input id="alterFirstColumn" class="form-check-input" type="checkbox">
First Column
</label>
<label>
<input id="alterLastColumn" class="form-check-input" type="checkbox">
Last Column
</label>
</div>
<div>
<label style="width:auto">
Built-in Styles:
</label>
<div id="tableStyles"></div>
</div>
</div>
</div>
</body>
</html>
let countries = ['US', 'Germany', 'UK', 'Japan', 'Italy', 'Greece'], products = ['Widget', 'Gadget', 'Doohickey'];
export function getTableData(count) {
let data = [], i = 0, country, product;
for (i = 0; i < count; i++) {
country = countries[Math.floor(Math.random() * countries.length)];
product = products[Math.floor(Math.random() * products.length)];
data.push({
ID: i,
Country: country,
Product: product,
Date: new Date(2014, i % 12, i % 28),
Amount: Math.random() * 10000
});
}
return data;
}
.wj-flexsheet {
height: 400px;
margin: 6px 0;
}
(function (global) {
System.config({
transpiler: 'plugin-babel',
babelOptions: {
es2015: true,
},
meta: {
'*.css': { loader: 'css' },
},
paths: {
// paths serve as alias
'npm:': 'node_modules/',
'cdn:': 'https://cdn.mescius.io/demoapps/packages/wijmojs/5.20261.50-rc/',
'pcdn:': 'https://cdn.jsdelivr.net/npm/'
},
// map tells the System loader where to look for things
map: {
'@mescius/wijmo': 'cdn:@mescius/wijmo/index.js',
'@mescius/wijmo.input': 'cdn:@mescius/wijmo.input/index.js',
'@mescius/wijmo.styles': 'cdn:@mescius/wijmo.styles',
'@mescius/wijmo.cultures': 'cdn:@mescius/wijmo.cultures',
'@mescius/wijmo.chart': 'cdn:@mescius/wijmo.chart/index.js',
'@mescius/wijmo.chart.analytics': 'cdn:@mescius/wijmo.chart.analytics/index.js',
'@mescius/wijmo.chart.animation': 'cdn:@mescius/wijmo.chart.animation/index.js',
'@mescius/wijmo.chart.annotation': 'cdn:@mescius/wijmo.chart.annotation/index.js',
'@mescius/wijmo.chart.finance': 'cdn:@mescius/wijmo.chart.finance/index.js',
'@mescius/wijmo.chart.finance.analytics': 'cdn:@mescius/wijmo.chart.finance.analytics/index.js',
'@mescius/wijmo.chart.hierarchical': 'cdn:@mescius/wijmo.chart.hierarchical/index.js',
'@mescius/wijmo.chart.interaction': 'cdn:@mescius/wijmo.chart.interaction/index.js',
'@mescius/wijmo.chart.radar': 'cdn:@mescius/wijmo.chart.radar/index.js',
'@mescius/wijmo.chart.render': 'cdn:@mescius/wijmo.chart.render/index.js',
'@mescius/wijmo.chart.webgl': 'cdn:@mescius/wijmo.chart.webgl/index.js',
'@mescius/wijmo.chart.map': 'cdn:@mescius/wijmo.chart.map/index.js',
'@mescius/wijmo.gauge': 'cdn:@mescius/wijmo.gauge/index.js',
'@mescius/wijmo.grid': 'cdn:@mescius/wijmo.grid/index.js',
'@mescius/wijmo.grid.detail': 'cdn:@mescius/wijmo.grid.detail/index.js',
'@mescius/wijmo.grid.filter': 'cdn:@mescius/wijmo.grid.filter/index.js',
'@mescius/wijmo.grid.search': 'cdn:@mescius/wijmo.grid.search/index.js',
'@mescius/wijmo.grid.style': 'cdn:@mescius/wijmo.grid.style/index.js',
'@mescius/wijmo.grid.grouppanel': 'cdn:@mescius/wijmo.grid.grouppanel/index.js',
'@mescius/wijmo.grid.multirow': 'cdn:@mescius/wijmo.grid.multirow/index.js',
'@mescius/wijmo.grid.transposed': 'cdn:@mescius/wijmo.grid.transposed/index.js',
'@mescius/wijmo.grid.transposedmultirow': 'cdn:@mescius/wijmo.grid.transposedmultirow/index.js',
'@mescius/wijmo.grid.pdf': 'cdn:@mescius/wijmo.grid.pdf/index.js',
'@mescius/wijmo.grid.sheet': 'cdn:@mescius/wijmo.grid.sheet/index.js',
'@mescius/wijmo.grid.xlsx': 'cdn:@mescius/wijmo.grid.xlsx/index.js',
'@mescius/wijmo.grid.selector': 'cdn:@mescius/wijmo.grid.selector/index.js',
'@mescius/wijmo.grid.cellmaker': 'cdn:@mescius/wijmo.grid.cellmaker/index.js',
'@mescius/wijmo.nav': 'cdn:@mescius/wijmo.nav/index.js',
'@mescius/wijmo.odata': 'cdn:@mescius/wijmo.odata/index.js',
'@mescius/wijmo.olap': 'cdn:@mescius/wijmo.olap/index.js',
'@mescius/wijmo.rest': 'cdn:@mescius/wijmo.rest/index.js',
'@mescius/wijmo.pdf': 'cdn:@mescius/wijmo.pdf/index.js',
'@mescius/wijmo.pdf.security': 'cdn:@mescius/wijmo.pdf.security/index.js',
'@mescius/wijmo.viewer': 'cdn:@mescius/wijmo.viewer/index.js',
'@mescius/wijmo.xlsx': 'cdn:@mescius/wijmo.xlsx/index.js',
'@mescius/wijmo.undo': 'cdn:@mescius/wijmo.undo/index.js',
'@mescius/wijmo.interop.grid': 'cdn:@mescius/wijmo.interop.grid/index.js',
'@mescius/wijmo.touch': 'cdn:@mescius/wijmo.touch/index.js',
'@mescius/wijmo.cloud': 'cdn:@mescius/wijmo.cloud/index.js',
'@mescius/wijmo.barcode': 'cdn:@mescius/wijmo.barcode/index.js',
'@mescius/wijmo.barcode.common': 'cdn:@mescius/wijmo.barcode.common/index.js',
'@mescius/wijmo.barcode.composite': 'cdn:@mescius/wijmo.barcode.composite/index.js',
'@mescius/wijmo.barcode.specialized': 'cdn:@mescius/wijmo.barcode.specialized/index.js',
jszip: 'pcdn:jszip@3.8.0/dist/jszip.js',
'bootstrap.css': 'pcdn:bootstrap@3.3.7/dist/css/bootstrap.min.css',
css: 'pcdn:systemjs-plugin-css@0.1.37/css.js',
'plugin-babel': 'pcdn:systemjs-plugin-babel@0.0.25/plugin-babel.js',
'systemjs-babel-build': 'pcdn:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js',
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: 'js',
},
node_modules: {
defaultExtension: 'js',
},
},
});
})(this);

<template>
<div class="container-fluid">
<!-- the flexsheet -->
<wj-flex-sheet :initialized="initializeFlexSheet">
<wj-sheet :name="'Table'" :rowCount="20" :columnCount="7"></wj-sheet>
</wj-flex-sheet>
<div class="well well-lg" v-if="selectedTable != null">
<h4>Table Style Options</h4>
<div>
<label>
<input class="form-check-input" type="checkbox" v-model="selectedTable.showHeaderRow">
Header Row
</label>
<label>
<input class="form-check-input" type="checkbox" v-model="selectedTable.showTotalRow">
Total Row
</label>
</div>
<div>
<label>
<input class="form-check-input" type="checkbox" v-model="selectedTable.showBandedRows">
Banded Rows
</label>
<label>
<input class="form-check-input" type="checkbox" v-model="selectedTable.showBandedColumns">
Banded Columns
</label>
</div>
<div>
<label>
<input class="form-check-input" type="checkbox" v-model="selectedTable.alterFirstColumn">
First Column
</label>
<label>
<input class="form-check-input" type="checkbox" v-model="selectedTable.alterLastColumn">
Last Column
</label>
</div>
<div>
<label style="width:auto">Built-in Styles:</label>
<wj-combo-box :itemsSource="tableStyleNames" :isEditable="false"
:initialized="cboTableStylesInit"></wj-combo-box>
</div>
</div>
</div>
</template>
<script setup>
import { getTableData } from "./data";
import { ref } from "vue";
const flex = ref(null);
const cboTableStyles = ref(null);
const tableStyleNames = ref([]);
const selectedTable = ref(null);
function initializeFlexSheet(flexref) {
let tableStyle, table, i;
tableStyleNames.value = [];
for (i = 1; i <= 21; i++) {
tableStyleNames.value.push("TableStyleLight" + i);
}
for (i = 1; i <= 28; i++) {
tableStyleNames.value.push("TableStyleMedium" + i);
}
for (i = 1; i <= 11; i++) {
tableStyleNames.value.push("TableStyleDark" + i);
}
tableStyle = flexref.getBuiltInTableStyle("TableStyleDark9");
table = flexref.selectedSheet.addTableFromArray(2, 1, getTableData(10), null, "Table1", tableStyle, { showTotalRow: true });
flexref.selectionChanged.addHandler((sender, args) => {
let selection = args.range;
if (selection.isValid) {
_getSelectedTable(selection, flexref);
} else {
selectedTable.value = null;
}
});
flexref.updatedLayout.addHandler(() => {
if (flexref.selection && flexref.selection.isValid) {
_getSelectedTable(flexref.selection, flexref);
} else {
selectedTable.value = null;
}
});
flex.value = flexref;
}
function cboTableStylesInit(cboTableStylesref) {
cboTableStylesref.selectedIndexChanged.addHandler(() => {
// apply the table style for the selected table
if (selectedTable.value) {
var tableStyle = flex.value.getBuiltInTableStyle(cboTableStylesref.selectedValue);
selectedTable.value.style = tableStyle;
}
});
if (selectedTable.value) {
cboTableStylesref.selectedValue = selectedTable.value.style.name;
}
cboTableStyles.value = cboTableStylesref;
}
function _getSelectedTable(selection, flexSheet) {
selectedTable.value = flexSheet.selectedSheet.findTable(selection.row, selection.col);
if (selectedTable.value && cboTableStyles.value) {
var tableStyle = flexSheet.getBuiltInTableStyle(selectedTable.value.style.name);
if (tableStyle) {
cboTableStyles.value.selectedValue = tableStyle.name;
}
}
}
</script>
<style>
.container-fluid .wj-flexsheet {
height: 400px;
margin: 6px 0;
}
</style>
<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<title>MESCIUS Wijmo FlexSheet Table</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<!-- SystemJS -->
<script src="compiler.js" type="module"></script>
<script src="node_modules/jszip/dist/jszip.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/systemjs/0.21.5/system.src.js" integrity="sha512-skZbMyvYdNoZfLmiGn5ii6KmklM82rYX2uWctBhzaXPxJgiv4XBwJnFGr5k8s+6tE1pcR1nuTKghozJHyzMcoA==" crossorigin="anonymous"></script>
<script src="systemjs.config.js"></script>
<script>
System.import('./src/app.js');
</script>
</head>
<body>
<div id="app">
</div>
</body>
</html>
let countries = ['US', 'Germany', 'UK', 'Japan', 'Italy', 'Greece'], products = ['Widget', 'Gadget', 'Doohickey'];
export function getTableData(count) {
let data = [], i = 0, country, product;
for (i = 0; i < count; i++) {
country = countries[Math.floor(Math.random() * countries.length)];
product = products[Math.floor(Math.random() * products.length)];
data.push({
ID: i,
Country: country,
Product: product,
Date: new Date(2014, i % 12, i % 28),
Amount: Math.random() * 10000
});
}
return data;
}
(function (global) {
System.config({
transpiler: 'plugin-babel',
babelOptions: {
es2015: true
},
meta: {
'*.css': { loader: 'css' },
'*.vue': { loader: '../plugin-vue/index.js' }
//'*.vue': { loader: 'systemjs-plugin-vue' }
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
// map tells the System loader where to look for things
map: {
'@mescius/wijmo': 'npm:@mescius/wijmo/index.js',
'@mescius/wijmo.input': 'npm:@mescius/wijmo.input/index.js',
'@mescius/wijmo.styles': 'npm:@mescius/wijmo.styles',
'@mescius/wijmo.cultures': 'npm:@mescius/wijmo.cultures',
'@mescius/wijmo.chart': 'npm:@mescius/wijmo.chart/index.js',
'@mescius/wijmo.chart.analytics': 'npm:@mescius/wijmo.chart.analytics/index.js',
'@mescius/wijmo.chart.animation': 'npm:@mescius/wijmo.chart.animation/index.js',
'@mescius/wijmo.chart.annotation': 'npm:@mescius/wijmo.chart.annotation/index.js',
'@mescius/wijmo.chart.finance': 'npm:@mescius/wijmo.chart.finance/index.js',
'@mescius/wijmo.chart.finance.analytics': 'npm:@mescius/wijmo.chart.finance.analytics/index.js',
'@mescius/wijmo.chart.hierarchical': 'npm:@mescius/wijmo.chart.hierarchical/index.js',
'@mescius/wijmo.chart.interaction': 'npm:@mescius/wijmo.chart.interaction/index.js',
'@mescius/wijmo.chart.radar': 'npm:@mescius/wijmo.chart.radar/index.js',
'@mescius/wijmo.chart.render': 'npm:@mescius/wijmo.chart.render/index.js',
'@mescius/wijmo.chart.webgl': 'npm:@mescius/wijmo.chart.webgl/index.js',
'@mescius/wijmo.chart.map': 'npm:@mescius/wijmo.chart.map/index.js',
'@mescius/wijmo.gauge': 'npm:@mescius/wijmo.gauge/index.js',
'@mescius/wijmo.grid': 'npm:@mescius/wijmo.grid/index.js',
'@mescius/wijmo.grid.detail': 'npm:@mescius/wijmo.grid.detail/index.js',
'@mescius/wijmo.grid.filter': 'npm:@mescius/wijmo.grid.filter/index.js',
'@mescius/wijmo.grid.search': 'npm:@mescius/wijmo.grid.search/index.js',
'@mescius/wijmo.grid.style': 'npm:@mescius/wijmo.grid.style/index.js',
'@mescius/wijmo.grid.grouppanel': 'npm:@mescius/wijmo.grid.grouppanel/index.js',
'@mescius/wijmo.grid.multirow': 'npm:@mescius/wijmo.grid.multirow/index.js',
'@mescius/wijmo.grid.transposed': 'npm:@mescius/wijmo.grid.transposed/index.js',
'@mescius/wijmo.grid.transposedmultirow': 'npm:@mescius/wijmo.grid.transposedmultirow/index.js',
'@mescius/wijmo.grid.pdf': 'npm:@mescius/wijmo.grid.pdf/index.js',
'@mescius/wijmo.grid.sheet': 'npm:@mescius/wijmo.grid.sheet/index.js',
'@mescius/wijmo.grid.xlsx': 'npm:@mescius/wijmo.grid.xlsx/index.js',
'@mescius/wijmo.grid.selector': 'npm:@mescius/wijmo.grid.selector/index.js',
'@mescius/wijmo.grid.cellmaker': 'npm:@mescius/wijmo.grid.cellmaker/index.js',
'@mescius/wijmo.nav': 'npm:@mescius/wijmo.nav/index.js',
'@mescius/wijmo.odata': 'npm:@mescius/wijmo.odata/index.js',
'@mescius/wijmo.olap': 'npm:@mescius/wijmo.olap/index.js',
'@mescius/wijmo.rest': 'npm:@mescius/wijmo.rest/index.js',
'@mescius/wijmo.pdf': 'npm:@mescius/wijmo.pdf/index.js',
'@mescius/wijmo.pdf.security': 'npm:@mescius/wijmo.pdf.security/index.js',
'@mescius/wijmo.viewer': 'npm:@mescius/wijmo.viewer/index.js',
'@mescius/wijmo.xlsx': 'npm:@mescius/wijmo.xlsx/index.js',
'@mescius/wijmo.undo': 'npm:@mescius/wijmo.undo/index.js',
'@mescius/wijmo.interop.grid': 'npm:@mescius/wijmo.interop.grid/index.js',
'@mescius/wijmo.touch': 'npm:@mescius/wijmo.touch/index.js',
'@mescius/wijmo.cloud': 'npm:@mescius/wijmo.cloud/index.js',
'@mescius/wijmo.barcode': 'npm:@mescius/wijmo.barcode/index.js',
'@mescius/wijmo.barcode.common': 'npm:@mescius/wijmo.barcode.common/index.js',
'@mescius/wijmo.barcode.composite': 'npm:@mescius/wijmo.barcode.composite/index.js',
'@mescius/wijmo.barcode.specialized': 'npm:@mescius/wijmo.barcode.specialized/index.js',
"@mescius/wijmo.vue2.chart.analytics": "npm:@mescius/wijmo.vue2.chart.analytics/index.js",
"@mescius/wijmo.vue2.chart.animation": "npm:@mescius/wijmo.vue2.chart.animation/index.js",
"@mescius/wijmo.vue2.chart.annotation": "npm:@mescius/wijmo.vue2.chart.annotation/index.js",
"@mescius/wijmo.vue2.chart.finance.analytics": "npm:@mescius/wijmo.vue2.chart.finance.analytics/index.js",
"@mescius/wijmo.vue2.chart.finance": "npm:@mescius/wijmo.vue2.chart.finance/index.js",
"@mescius/wijmo.vue2.chart.hierarchical": "npm:@mescius/wijmo.vue2.chart.hierarchical/index.js",
"@mescius/wijmo.vue2.chart.interaction": "npm:@mescius/wijmo.vue2.chart.interaction/index.js",
"@mescius/wijmo.vue2.chart.radar": "npm:@mescius/wijmo.vue2.chart.radar/index.js",
'@mescius/wijmo.vue2.chart.map': 'npm:@mescius/wijmo.vue2.chart.map/index.js',
"@mescius/wijmo.vue2.chart": "npm:@mescius/wijmo.vue2.chart/index.js",
"@mescius/wijmo.vue2.core": "npm:@mescius/wijmo.vue2.core/index.js",
"@mescius/wijmo.vue2.gauge": "npm:@mescius/wijmo.vue2.gauge/index.js",
"@mescius/wijmo.vue2.grid.detail": "npm:@mescius/wijmo.vue2.grid.detail/index.js",
"@mescius/wijmo.vue2.grid.filter": "npm:@mescius/wijmo.vue2.grid.filter/index.js",
"@mescius/wijmo.vue2.grid.grouppanel": "npm:@mescius/wijmo.vue2.grid.grouppanel/index.js",
'@mescius/wijmo.vue2.grid.search': 'npm:@mescius/wijmo.vue2.grid.search/index.js',
"@mescius/wijmo.vue2.grid.multirow": "npm:@mescius/wijmo.vue2.grid.multirow/index.js",
"@mescius/wijmo.vue2.grid.sheet": "npm:@mescius/wijmo.vue2.grid.sheet/index.js",
'@mescius/wijmo.vue2.grid.transposed': 'npm:@mescius/wijmo.vue2.grid.transposed/index.js',
'@mescius/wijmo.vue2.grid.transposedmultirow': 'npm:@mescius/wijmo.vue2.grid.transposedmultirow/index.js',
"@mescius/wijmo.vue2.grid": "npm:@mescius/wijmo.vue2.grid/index.js",
"@mescius/wijmo.vue2.input": "npm:@mescius/wijmo.vue2.input/index.js",
"@mescius/wijmo.vue2.olap": "npm:@mescius/wijmo.vue2.olap/index.js",
"@mescius/wijmo.vue2.viewer": "npm:@mescius/wijmo.vue2.viewer/index.js",
"@mescius/wijmo.vue2.nav": "npm:@mescius/wijmo.vue2.nav/index.js",
"@mescius/wijmo.vue2.base": "npm:@mescius/wijmo.vue2.base/index.js",
'@mescius/wijmo.vue2.barcode.common': 'npm:@mescius/wijmo.vue2.barcode.common/index.js',
'@mescius/wijmo.vue2.barcode.composite': 'npm:@mescius/wijmo.vue2.barcode.composite/index.js',
'@mescius/wijmo.vue2.barcode.specialized': 'npm:@mescius/wijmo.vue2.barcode.specialized/index.js',
'bootstrap.css': 'npm:bootstrap/dist/css/bootstrap.min.css',
'jszip': 'npm:jszip/dist/jszip.js',
'css': 'npm:systemjs-plugin-css/css.js',
'vue': 'npm:vue/dist/vue.cjs.js',
'@vue/compiler-dom':'npm:@vue/compiler-dom/dist/compiler-dom.global.prod.js',
'@vue/runtime-dom':'npm:@vue/runtime-dom/dist/runtime-dom.global.prod.js',
'@vue/shared':'npm:@vue/shared/dist/shared.cjs.js',
'@vue/compiler-dom':'npm:@vue/compiler-dom/dist/compiler-dom.global.prod.js',
'@vue/runtime-dom':'npm:@vue/runtime-dom/dist/runtime-dom.global.prod.js',
'@vue/shared':'npm:@vue/shared/dist/shared.cjs.js',
'@vue/compiler-dom':'npm:@vue/compiler-dom/dist/compiler-dom.global.prod.js',
'@vue/runtime-dom':'npm:@vue/runtime-dom/dist/runtime-dom.global.prod.js',
'@vue/shared':'npm:@vue/shared/dist/shared.cjs.js',
'@vue/compiler-dom':'npm:@vue/compiler-dom/dist/compiler-dom.global.prod.js',
'@vue/runtime-dom':'npm:@vue/runtime-dom/dist/runtime-dom.global.prod.js',
'@vue/shared':'npm:@vue/shared/dist/shared.cjs.js',
'@vue/compiler-dom':'npm:@vue/compiler-dom/dist/compiler-dom.global.prod.js',
'@vue/runtime-dom':'npm:@vue/runtime-dom/dist/runtime-dom.global.prod.js',
'@vue/shared':'npm:@vue/shared/dist/shared.cjs.js',
'@vue/compiler-dom':'npm:@vue/compiler-dom/dist/compiler-dom.global.prod.js',
'@vue/runtime-dom':'npm:@vue/runtime-dom/dist/runtime-dom.global.prod.js',
'@vue/shared':'npm:@vue/shared/dist/shared.cjs.js',
'@vue/compiler-dom':'npm:@vue/compiler-dom/dist/compiler-dom.global.prod.js',
'@vue/runtime-dom':'npm:@vue/runtime-dom/dist/runtime-dom.global.prod.js',
'@vue/shared':'npm:@vue/shared/dist/shared.cjs.js',
'@vue/compiler-dom':'npm:@vue/compiler-dom/dist/compiler-dom.global.prod.js',
'@vue/runtime-dom':'npm:@vue/runtime-dom/dist/runtime-dom.global.prod.js',
'@vue/shared':'npm:@vue/shared/dist/shared.cjs.js',
'vue-loader': 'npm:systemjs-vue-browser/index.js',
//'systemjs-plugin-vue': 'npm:systemjs-plugin-vue/index.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel/systemjs-babel-browser.js'
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: 'js'
},
rxjs: {
defaultExtension: 'js'
},
"node_modules": {
defaultExtension: 'js'
},
wijmo: {
defaultExtension: 'js',
}
}
});
})(this);

import 'bootstrap.css';
import '@mescius/wijmo.styles/wijmo.css';
import ReactDOM from 'react-dom/client';
import React, { useState } from 'react';
import useEvent from 'react-use-event-hook';
import * as wjInput from '@mescius/wijmo.react.input';
import * as wjGridSheet from '@mescius/wijmo.react.grid.sheet';
import './app.css';
import { getTableData } from './data';
function App() {
const [count, setCount] = useState(0);
const [flex, setFlex] = useState(null);
const [cboTableStyles, setCboTableStyles] = useState(null);
const [tableStyleNames, setTableStyleNames] = useState([]);
const [selectedTable, setSelectedTable] = useState(null);
const forceUpdate = () => setCount(count + 1);
const initializeFlexSheet = useEvent((flex) => {
let tableStyle, table, i;
for (i = 1; i <= 21; i++) {
tableStyleNames.push("TableStyleLight" + i);
}
for (i = 1; i <= 28; i++) {
tableStyleNames.push("TableStyleMedium" + i);
}
for (i = 1; i <= 11; i++) {
tableStyleNames.push("TableStyleDark" + i);
}
tableStyle = flex.getBuiltInTableStyle("TableStyleDark9");
table = flex.selectedSheet.addTableFromArray(2, 1, getTableData(10), null, "Table1", tableStyle, { showTotalRow: true });
flex.selectionChanged.addHandler((sender, args) => {
let selection = args.range;
if (selection.isValid) {
getSelectedTable(selection, flex);
}
else {
setSelectedTable(null);
}
});
flex.updatedLayout.addHandler(() => {
if (flex.selection && flex.selection.isValid) {
getSelectedTable(flex.selection, flex);
}
else {
setSelectedTable(null);
}
});
setFlex(flex);
});
const cboTableStylesInit = (cboTableStyles) => {
cboTableStyles.selectedIndexChanged.addHandler(() => {
// apply the table style for the selected table
if (selectedTable) {
let tableStyle = flex.getBuiltInTableStyle(cboTableStyles.selectedValue);
selectedTable.style = tableStyle;
}
});
if (selectedTable) {
cboTableStyles.selectedValue = selectedTable.style.name;
}
setCboTableStyles(cboTableStyles);
};
const getSelectedTable = (selection, flexSheet) => {
setSelectedTable(flexSheet.selectedSheet.findTable(selection.row, selection.col));
if (selectedTable && cboTableStyles) {
var tableStyle = flexSheet.getBuiltInTableStyle(selectedTable.style.name);
if (tableStyle) {
cboTableStyles.selectedValue = tableStyle.name;
}
}
};
const change = (index) => {
switch (index) {
case 0:
selectedTable.showHeaderRow = !selectedTable.showHeaderRow;
break;
case 1:
selectedTable.showTotalRow = !selectedTable.showTotalRow;
break;
case 2:
selectedTable.showBandedRows = !selectedTable.showBandedRows;
break;
case 3:
selectedTable.showBandedColumns = !selectedTable.showBandedColumns;
break;
case 4:
selectedTable.alterFirstColumn = !selectedTable.alterFirstColumn;
break;
case 5:
selectedTable.alterLastColumn = !selectedTable.alterLastColumn;
break;
}
forceUpdate();
};
const renderDiv = () => {
if (!selectedTable) {
return;
}
return (<div className="well well-lg">
<h4>Table Style Options</h4>
<div>
<label>
<input className="form-check-input" type="checkbox" checked={selectedTable.showHeaderRow} onChange={() => change(0)}/>
Header Row
</label>
<label>
<input className="form-check-input" type="checkbox" checked={selectedTable.showTotalRow} onChange={() => change(1)}/>
Total Row
</label>
</div>
<div>
<label>
<input className="form-check-input" type="checkbox" checked={selectedTable.showBandedRows} onChange={() => change(2)}/>
Banded Rows
</label>
<label>
<input className="form-check-input" type="checkbox" checked={selectedTable.showBandedColumns} onChange={() => change(3)}/>
Banded Columns
</label>
</div>
<div>
<label>
<input className="form-check-input" type="checkbox" checked={selectedTable.alterFirstColumn} onChange={() => change(4)}/>
First Column
</label>
<label>
<input className="form-check-input" type="checkbox" checked={selectedTable.alterLastColumn} onChange={() => change(5)}/>
Last Column
</label>
</div>
<div>
<label style={{ width: "auto" }}>Built-in Styles:</label>
<wjInput.ComboBox itemsSource={tableStyleNames} isEditable={false} initialized={cboTableStylesInit}/>
</div>
</div>);
};
return (<div className="container-fluid">
<wjGridSheet.FlexSheet initialized={initializeFlexSheet}>
<wjGridSheet.Sheet name="Table" rowCount={20} columnCount={7}/>
</wjGridSheet.FlexSheet>
{renderDiv()}
</div>);
}
const container = document.getElementById('app');
if (container) {
const root = ReactDOM.createRoot(container);
root.render(<App />);
}
<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<title>MESCIUS Wijmo Wijmo FlexSheet Table</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<!-- SystemJS -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/systemjs/0.19.40/system.src.js" integrity="sha512-G6mEj6h18+m3MvzdviSDfPle/TfH0//cXcB33AKlNR/Rha0yQsKefDZKRTkIZos97HEGq2JMV1RT5ybMoQ3WsQ==" crossorigin="anonymous"></script>
<script src="systemjs.config.js"></script>
<script>
System.import('./src/app');
</script>
</head>
<body>
<div id="app"></div>
</body>
</html>
.container-fluid .wj-flexsheet {
height: 400px;
margin: 6px 0;
}
let countries = ['US', 'Germany', 'UK', 'Japan', 'Italy', 'Greece'], products = ['Widget', 'Gadget', 'Doohickey'];
export function getTableData(count) {
let data = [], i = 0, country, product;
for (i = 0; i < count; i++) {
country = countries[Math.floor(Math.random() * countries.length)];
product = products[Math.floor(Math.random() * products.length)];
data.push({
ID: i,
Country: country,
Product: product,
Date: new Date(2014, i % 12, i % 28),
Amount: Math.random() * 10000
});
}
return data;
}
(function (global) {
window.process = {
env: {
NODE_ENV: "production"
}
}
System.config({
transpiler: 'plugin-babel',
babelOptions: {
es2015: true,
react: true
},
meta: {
'*.css': { loader: 'css' }
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
// map tells the System loader where to look for things
map: {
'jszip': 'npm:jszip/dist/jszip.js',
'@mescius/wijmo': 'npm:@mescius/wijmo/index.js',
'@mescius/wijmo.input': 'npm:@mescius/wijmo.input/index.js',
'@mescius/wijmo.styles': 'npm:@mescius/wijmo.styles',
'@mescius/wijmo.cultures': 'npm:@mescius/wijmo.cultures',
'@mescius/wijmo.chart': 'npm:@mescius/wijmo.chart/index.js',
'@mescius/wijmo.chart.analytics': 'npm:@mescius/wijmo.chart.analytics/index.js',
'@mescius/wijmo.chart.animation': 'npm:@mescius/wijmo.chart.animation/index.js',
'@mescius/wijmo.chart.annotation': 'npm:@mescius/wijmo.chart.annotation/index.js',
'@mescius/wijmo.chart.finance': 'npm:@mescius/wijmo.chart.finance/index.js',
'@mescius/wijmo.chart.finance.analytics': 'npm:@mescius/wijmo.chart.finance.analytics/index.js',
'@mescius/wijmo.chart.hierarchical': 'npm:@mescius/wijmo.chart.hierarchical/index.js',
'@mescius/wijmo.chart.interaction': 'npm:@mescius/wijmo.chart.interaction/index.js',
'@mescius/wijmo.chart.radar': 'npm:@mescius/wijmo.chart.radar/index.js',
'@mescius/wijmo.chart.render': 'npm:@mescius/wijmo.chart.render/index.js',
'@mescius/wijmo.chart.webgl': 'npm:@mescius/wijmo.chart.webgl/index.js',
'@mescius/wijmo.chart.map': 'npm:@mescius/wijmo.chart.map/index.js',
'@mescius/wijmo.gauge': 'npm:@mescius/wijmo.gauge/index.js',
'@mescius/wijmo.grid': 'npm:@mescius/wijmo.grid/index.js',
'@mescius/wijmo.grid.detail': 'npm:@mescius/wijmo.grid.detail/index.js',
'@mescius/wijmo.grid.filter': 'npm:@mescius/wijmo.grid.filter/index.js',
'@mescius/wijmo.grid.search': 'npm:@mescius/wijmo.grid.search/index.js',
'@mescius/wijmo.grid.style': 'npm:@mescius/wijmo.grid.style/index.js',
'@mescius/wijmo.grid.grouppanel': 'npm:@mescius/wijmo.grid.grouppanel/index.js',
'@mescius/wijmo.grid.multirow': 'npm:@mescius/wijmo.grid.multirow/index.js',
'@mescius/wijmo.grid.transposed': 'npm:@mescius/wijmo.grid.transposed/index.js',
'@mescius/wijmo.grid.transposedmultirow': 'npm:@mescius/wijmo.grid.transposedmultirow/index.js',
'@mescius/wijmo.grid.pdf': 'npm:@mescius/wijmo.grid.pdf/index.js',
'@mescius/wijmo.grid.sheet': 'npm:@mescius/wijmo.grid.sheet/index.js',
'@mescius/wijmo.grid.xlsx': 'npm:@mescius/wijmo.grid.xlsx/index.js',
'@mescius/wijmo.grid.selector': 'npm:@mescius/wijmo.grid.selector/index.js',
'@mescius/wijmo.grid.cellmaker': 'npm:@mescius/wijmo.grid.cellmaker/index.js',
'@mescius/wijmo.grid.immutable': 'npm:@mescius/wijmo.grid.immutable/index.js',
'@mescius/wijmo.touch': 'npm:@mescius/wijmo.touch/index.js',
'@mescius/wijmo.cloud': 'npm:@mescius/wijmo.cloud/index.js',
'@mescius/wijmo.nav': 'npm:@mescius/wijmo.nav/index.js',
'@mescius/wijmo.odata': 'npm:@mescius/wijmo.odata/index.js',
'@mescius/wijmo.olap': 'npm:@mescius/wijmo.olap/index.js',
'@mescius/wijmo.rest': 'npm:@mescius/wijmo.rest/index.js',
'@mescius/wijmo.pdf': 'npm:@mescius/wijmo.pdf/index.js',
'@mescius/wijmo.pdf.security': 'npm:@mescius/wijmo.pdf.security/index.js',
'@mescius/wijmo.viewer': 'npm:@mescius/wijmo.viewer/index.js',
'@mescius/wijmo.xlsx': 'npm:@mescius/wijmo.xlsx/index.js',
'@mescius/wijmo.undo': 'npm:@mescius/wijmo.undo/index.js',
'@mescius/wijmo.interop.grid': 'npm:@mescius/wijmo.interop.grid/index.js',
'@mescius/wijmo.barcode': 'npm:@mescius/wijmo.barcode/index.js',
'@mescius/wijmo.barcode.common': 'npm:@mescius/wijmo.barcode.common/index.js',
'@mescius/wijmo.barcode.composite': 'npm:@mescius/wijmo.barcode.composite/index.js',
'@mescius/wijmo.barcode.specialized': 'npm:@mescius/wijmo.barcode.specialized/index.js',
"@mescius/wijmo.react.chart.analytics": "npm:@mescius/wijmo.react.chart.analytics/index.js",
"@mescius/wijmo.react.chart.animation": "npm:@mescius/wijmo.react.chart.animation/index.js",
"@mescius/wijmo.react.chart.annotation": "npm:@mescius/wijmo.react.chart.annotation/index.js",
"@mescius/wijmo.react.chart.finance.analytics": "npm:@mescius/wijmo.react.chart.finance.analytics/index.js",
"@mescius/wijmo.react.chart.finance": "npm:@mescius/wijmo.react.chart.finance/index.js",
"@mescius/wijmo.react.chart.hierarchical": "npm:@mescius/wijmo.react.chart.hierarchical/index.js",
"@mescius/wijmo.react.chart.interaction": "npm:@mescius/wijmo.react.chart.interaction/index.js",
"@mescius/wijmo.react.chart.radar": "npm:@mescius/wijmo.react.chart.radar/index.js",
"@mescius/wijmo.react.chart": "npm:@mescius/wijmo.react.chart/index.js",
"@mescius/wijmo.react.core": "npm:@mescius/wijmo.react.core/index.js",
'@mescius/wijmo.react.chart.map': 'npm:@mescius/wijmo.react.chart.map/index.js',
"@mescius/wijmo.react.gauge": "npm:@mescius/wijmo.react.gauge/index.js",
"@mescius/wijmo.react.grid.detail": "npm:@mescius/wijmo.react.grid.detail/index.js",
"@mescius/wijmo.react.grid.filter": "npm:@mescius/wijmo.react.grid.filter/index.js",
"@mescius/wijmo.react.grid.grouppanel": "npm:@mescius/wijmo.react.grid.grouppanel/index.js",
'@mescius/wijmo.react.grid.search': 'npm:@mescius/wijmo.react.grid.search/index.js',
"@mescius/wijmo.react.grid.multirow": "npm:@mescius/wijmo.react.grid.multirow/index.js",
"@mescius/wijmo.react.grid.sheet": "npm:@mescius/wijmo.react.grid.sheet/index.js",
'@mescius/wijmo.react.grid.transposed': 'npm:@mescius/wijmo.react.grid.transposed/index.js',
'@mescius/wijmo.react.grid.transposedmultirow': 'npm:@mescius/wijmo.react.grid.transposedmultirow/index.js',
'@mescius/wijmo.react.grid.immutable': 'npm:@mescius/wijmo.react.grid.immutable/index.js',
"@mescius/wijmo.react.grid": "npm:@mescius/wijmo.react.grid/index.js",
"@mescius/wijmo.react.input": "npm:@mescius/wijmo.react.input/index.js",
"@mescius/wijmo.react.olap": "npm:@mescius/wijmo.react.olap/index.js",
"@mescius/wijmo.react.viewer": "npm:@mescius/wijmo.react.viewer/index.js",
"@mescius/wijmo.react.nav": "npm:@mescius/wijmo.react.nav/index.js",
"@mescius/wijmo.react.base": "npm:@mescius/wijmo.react.base/index.js",
'@mescius/wijmo.react.barcode.common': 'npm:@mescius/wijmo.react.barcode.common/index.js',
'@mescius/wijmo.react.barcode.composite': 'npm:@mescius/wijmo.react.barcode.composite/index.js',
'@mescius/wijmo.react.barcode.specialized': 'npm:@mescius/wijmo.react.barcode.specialized/index.js',
'jszip': 'npm:jszip/dist/jszip.js',
'react': 'npm:react/index.js',
'react-dom': 'npm:react-dom/index.js',
'react-dom/client': 'npm:react-dom/client.js',
"scheduler": "npm:scheduler/index.js",
'redux': 'npm:redux/dist/redux.min.js',
'react-redux': 'npm:react-redux/dist/react-redux.min.js',
'bootstrap.css': 'npm:bootstrap/dist/css/bootstrap.min.css',
'css': 'npm:systemjs-plugin-css/css.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
'systemjs-babel-build':'npm:systemjs-plugin-babel/systemjs-babel-browser.js',
"react-use-event-hook": "npm:react-use-event-hook/dist/esm/useEvent.js",
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: 'jsx'
},
"node_modules": {
defaultExtension: 'js'
},
}
});
})(this);

import 'bootstrap.css';
import '@mescius/wijmo.styles/wijmo.css';
import './styles.css';
import '@angular/compiler';
import { Component, enableProdMode, Inject, ViewChild, ɵresolveComponentResources } from '@angular/core';
import { BrowserModule, bootstrapApplication } from '@angular/platform-browser';
import { FormsModule } from '@angular/forms';
import { WjInputModule } from '@mescius/wijmo.angular2.input';
import { WjGridSheetModule } from '@mescius/wijmo.angular2.grid.sheet';
import * as wjcInput from '@mescius/wijmo.input';
import * as wjcGrid from '@mescius/wijmo.grid';
import * as wjcSheet from '@mescius/wijmo.grid.sheet';
import { DataService } from './app.data';
@Component({
standalone: true,
providers: [DataService],
imports: [WjGridSheetModule, WjInputModule, BrowserModule, FormsModule],
selector: 'app-component',
templateUrl: 'src/app.component.html',
})
export class AppComponent {
tableStyleNames: string[] = null;
selectedTable: wjcSheet.Table = null;
private _dataSvc: DataService;
constructor(@Inject(DataService) dataSvc: DataService) {
this._dataSvc = dataSvc;
}
@ViewChild('flex', { static: true }) flex: wjcSheet.FlexSheet;
@ViewChild('cboTableStyles', { static: true }) cboTableStyles: wjcInput.ComboBox;
initializeFlexSheet(flex: wjcSheet.FlexSheet) {
let tableStyle: wjcSheet.TableStyle, table: wjcSheet.Table, i: number;
this.tableStyleNames = [];
for (i = 1; i <= 21; i++) {
this.tableStyleNames.push('TableStyleLight' + i);
}
for (i = 1; i <= 28; i++) {
this.tableStyleNames.push('TableStyleMedium' + i);
}
for (i = 1; i <= 11; i++) {
this.tableStyleNames.push('TableStyleDark' + i);
}
tableStyle = flex.getBuiltInTableStyle('TableStyleDark9');
table = flex.selectedSheet.addTableFromArray(2, 1, this._dataSvc.getTableData(10), null, 'Table1', tableStyle, {
showTotalRow: true,
});
flex.selectionChanged.addHandler((sender: any, args: wjcGrid.CellRangeEventArgs) => {
let selection = args.range;
if (selection.isValid) {
this._getSelectedTable(selection, flex);
} else {
this.selectedTable = null;
}
});
flex.updatedLayout.addHandler(() => {
if (flex.selection && flex.selection.isValid) {
this._getSelectedTable(flex.selection, flex);
} else {
this.selectedTable = null;
}
});
}
cboTableStylesInit(cboTableStyles: wjcInput.ComboBox) {
cboTableStyles.selectedIndexChanged.addHandler(() => {
// apply the table style for the selected table
if (this.selectedTable) {
var tableStyle = this.flex.getBuiltInTableStyle(cboTableStyles.selectedValue);
this.selectedTable.style = tableStyle;
}
});
if (this.selectedTable) {
cboTableStyles.selectedValue = this.selectedTable.style.name;
}
}
// Get selected table in FlexSheet.
private _getSelectedTable(selection: wjcGrid.CellRange, flexSheet: wjcSheet.FlexSheet) {
this.selectedTable = flexSheet.selectedSheet.findTable(selection.row, selection.col);
if (this.selectedTable && this.cboTableStyles) {
var tableStyle = flexSheet.getBuiltInTableStyle(this.selectedTable.style.name);
if (tableStyle) {
this.cboTableStyles.selectedValue = tableStyle.name;
}
}
}
}
enableProdMode();
// Resolve resources (templateUrl, styleUrls etc), After resolution all URLs have been converted into `template` strings.
ɵresolveComponentResources(fetch).then(() => {
// Bootstrap application
bootstrapApplication(AppComponent).catch((err) => console.error(err));
});
<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<title>MESCIUS Wijmo FlexSheet Table</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<!-- Polyfills -->
<script src="node_modules/core-js/client/shim.min.js"></script>
<script src="node_modules/zone.js/fesm2015/zone.min.js"></script>
<!-- SystemJS -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/systemjs/0.21.5/system.src.js" integrity="sha512-skZbMyvYdNoZfLmiGn5ii6KmklM82rYX2uWctBhzaXPxJgiv4XBwJnFGr5k8s+6tE1pcR1nuTKghozJHyzMcoA==" crossorigin="anonymous"></script>
<script src="systemjs.config.js"></script>
<script>
// workaround to load 'rxjs/operators' from the rxjs bundle
System.import('rxjs').then(function (m) {
System.set(SystemJS.resolveSync('rxjs/operators'), System.newModule(m.operators));
System.import('./src/app.component');
});
</script>
</head>
<body>
<app-component></app-component>
</body>
</html>
<div class="container-fluid">
<!-- the flexsheet -->
<wj-flex-sheet #flex (initialized)="initializeFlexSheet(flex)">
<wj-sheet [name]="'Table'" [rowCount]="20" [columnCount]="7"></wj-sheet>
</wj-flex-sheet>
@if (selectedTable != null) {
<div class="well well-lg">
<h4>Table Style Options</h4>
<div>
<label>
<input class="form-check-input" type="checkbox" [(ngModel)]="selectedTable.showHeaderRow">
Header Row
</label>
<label>
<input class="form-check-input" type="checkbox" [(ngModel)]="selectedTable.showTotalRow">
Total Row
</label>
</div>
<div>
<label>
<input class="form-check-input" type="checkbox" [(ngModel)]="selectedTable.showBandedRows">
Banded Rows
</label>
<label>
<input class="form-check-input" type="checkbox" [(ngModel)]="selectedTable.showBandedColumns">
Banded Columns
</label>
</div>
<div>
<label>
<input class="form-check-input" type="checkbox" [(ngModel)]="selectedTable.alterFirstColumn">
First Column
</label>
<label>
<input class="form-check-input" type="checkbox" [(ngModel)]="selectedTable.alterLastColumn">
Last Column
</label>
</div>
<div>
<label style="width:auto">
Built-in Styles:
</label>
<wj-combo-box #cboTableStyles [itemsSource]="tableStyleNames" [isEditable]="false"
(initialized)="cboTableStylesInit(cboTableStyles)">
</wj-combo-box>
</div>
</div>
}
</div>
import { Injectable } from '@angular/core';
@Injectable()
export class DataService {
getTableData(count: number) {
let data = [],
countries = ['US', 'Germany', 'UK', 'Japan', 'Italy', 'Greece'],
products = ['Widget', 'Gadget', 'Doohickey'],
i = 0,
country: string,
product: string;
for (i = 0; i < count; i++) {
country = countries[Math.floor(Math.random() * countries.length)];
product = products[Math.floor(Math.random() * products.length)];
data.push({
ID: i,
Country: country,
Product: product,
Date: new Date(2014, i % 12, i % 28),
Amount: Math.random() * 10000
});
}
return data;
}
}
.wj-flexsheet {
height: 400px;
margin: 6px 0;
}
(function (global) {
SystemJS.config({
transpiler: './plugin-typescript.js',
typescriptOptions: {
"target": "ES2022",
"module": "system",
"emitDecoratorMetadata": true,
"experimentalDecorators": true,
},
baseURL: 'node_modules/',
meta: {
'typescript': {
"exports": "ts"
},
'*.css': { loader: 'systemjs-plugin-css' },
'*.mjs': {
format: 'esm'
},
},
paths: {
// paths serve as alias
'npm:': ''
},
packageConfigPaths: [
'/node_modules/*/package.json',
"/node_modules/@angular/*/package.json",
"/node_modules/@mescius/*/package.json"
],
map: {
'core-js': 'https://cdn.jsdelivr.net/npm/core-js@2.6.12/client/shim.min.js',
'typescript': 'https://cdnjs.cloudflare.com/ajax/libs/typescript/5.2.2/typescript.min.js',
"rxjs": "https://cdnjs.cloudflare.com/ajax/libs/rxjs/7.8.1/rxjs.umd.min.js",
'systemjs-plugin-css': 'https://cdn.jsdelivr.net/npm/systemjs-plugin-css@0.1.37/css.js',
'@mescius/wijmo': 'npm:@mescius/wijmo/index.js',
'@mescius/wijmo.input': 'npm:@mescius/wijmo.input/index.js',
'@mescius/wijmo.styles': 'npm:@mescius/wijmo.styles',
'@mescius/wijmo.cultures': 'npm:@mescius/wijmo.cultures',
'@mescius/wijmo.chart': 'npm:@mescius/wijmo.chart/index.js',
'@mescius/wijmo.chart.analytics': 'npm:@mescius/wijmo.chart.analytics/index.js',
'@mescius/wijmo.chart.animation': 'npm:@mescius/wijmo.chart.animation/index.js',
'@mescius/wijmo.chart.annotation': 'npm:@mescius/wijmo.chart.annotation/index.js',
'@mescius/wijmo.chart.finance': 'npm:@mescius/wijmo.chart.finance/index.js',
'@mescius/wijmo.chart.finance.analytics': 'npm:@mescius/wijmo.chart.finance.analytics/index.js',
'@mescius/wijmo.chart.hierarchical': 'npm:@mescius/wijmo.chart.hierarchical/index.js',
'@mescius/wijmo.chart.interaction': 'npm:@mescius/wijmo.chart.interaction/index.js',
'@mescius/wijmo.chart.radar': 'npm:@mescius/wijmo.chart.radar/index.js',
'@mescius/wijmo.chart.render': 'npm:@mescius/wijmo.chart.render/index.js',
'@mescius/wijmo.chart.webgl': 'npm:@mescius/wijmo.chart.webgl/index.js',
'@mescius/wijmo.chart.map': 'npm:@mescius/wijmo.chart.map/index.js',
'@mescius/wijmo.gauge': 'npm:@mescius/wijmo.gauge/index.js',
'@mescius/wijmo.grid': 'npm:@mescius/wijmo.grid/index.js',
'@mescius/wijmo.grid.detail': 'npm:@mescius/wijmo.grid.detail/index.js',
'@mescius/wijmo.grid.filter': 'npm:@mescius/wijmo.grid.filter/index.js',
'@mescius/wijmo.grid.search': 'npm:@mescius/wijmo.grid.search/index.js',
'@mescius/wijmo.grid.style': 'npm:@mescius/wijmo.grid.style/index.js',
'@mescius/wijmo.grid.grouppanel': 'npm:@mescius/wijmo.grid.grouppanel/index.js',
'@mescius/wijmo.grid.multirow': 'npm:@mescius/wijmo.grid.multirow/index.js',
'@mescius/wijmo.grid.transposed': 'npm:@mescius/wijmo.grid.transposed/index.js',
'@mescius/wijmo.grid.transposedmultirow': 'npm:@mescius/wijmo.grid.transposedmultirow/index.js',
'@mescius/wijmo.grid.pdf': 'npm:@mescius/wijmo.grid.pdf/index.js',
'@mescius/wijmo.grid.sheet': 'npm:@mescius/wijmo.grid.sheet/index.js',
'@mescius/wijmo.grid.xlsx': 'npm:@mescius/wijmo.grid.xlsx/index.js',
'@mescius/wijmo.grid.selector': 'npm:@mescius/wijmo.grid.selector/index.js',
'@mescius/wijmo.grid.cellmaker': 'npm:@mescius/wijmo.grid.cellmaker/index.js',
'@mescius/wijmo.nav': 'npm:@mescius/wijmo.nav/index.js',
'@mescius/wijmo.odata': 'npm:@mescius/wijmo.odata/index.js',
'@mescius/wijmo.olap': 'npm:@mescius/wijmo.olap/index.js',
'@mescius/wijmo.rest': 'npm:@mescius/wijmo.rest/index.js',
'@mescius/wijmo.pdf': 'npm:@mescius/wijmo.pdf/index.js',
'@mescius/wijmo.pdf.security': 'npm:@mescius/wijmo.pdf.security/index.js',
'@mescius/wijmo.viewer': 'npm:@mescius/wijmo.viewer/index.js',
'@mescius/wijmo.xlsx': 'npm:@mescius/wijmo.xlsx/index.js',
'@mescius/wijmo.undo': 'npm:@mescius/wijmo.undo/index.js',
'@mescius/wijmo.interop.grid': 'npm:@mescius/wijmo.interop.grid/index.js',
'@mescius/wijmo.touch': 'npm:@mescius/wijmo.touch/index.js',
'@mescius/wijmo.cloud': 'npm:@mescius/wijmo.cloud/index.js',
'@mescius/wijmo.barcode': 'npm:@mescius/wijmo.barcode/index.js',
'@mescius/wijmo.barcode.common': 'npm:@mescius/wijmo.barcode.common/index.js',
'@mescius/wijmo.barcode.composite': 'npm:@mescius/wijmo.barcode.composite/index.js',
'@mescius/wijmo.barcode.specialized': 'npm:@mescius/wijmo.barcode.specialized/index.js',
"@mescius/wijmo.angular2.chart.analytics": "npm:@mescius/wijmo.angular2.chart.analytics/index.js",
"@mescius/wijmo.angular2.chart.animation": "npm:@mescius/wijmo.angular2.chart.animation/index.js",
"@mescius/wijmo.angular2.chart.annotation": "npm:@mescius/wijmo.angular2.chart.annotation/index.js",
"@mescius/wijmo.angular2.chart.finance.analytics": "npm:@mescius/wijmo.angular2.chart.finance.analytics/index.js",
"@mescius/wijmo.angular2.chart.finance": "npm:@mescius/wijmo.angular2.chart.finance/index.js",
"@mescius/wijmo.angular2.chart.hierarchical": "npm:@mescius/wijmo.angular2.chart.hierarchical/index.js",
"@mescius/wijmo.angular2.chart.interaction": "npm:@mescius/wijmo.angular2.chart.interaction/index.js",
"@mescius/wijmo.angular2.chart.radar": "npm:@mescius/wijmo.angular2.chart.radar/index.js",
'@mescius/wijmo.angular2.chart.map': 'npm:@mescius/wijmo.angular2.chart.map/index.js',
"@mescius/wijmo.angular2.chart": "npm:@mescius/wijmo.angular2.chart/index.js",
"@mescius/wijmo.angular2.core": "npm:@mescius/wijmo.angular2.core/index.js",
"@mescius/wijmo.angular2.gauge": "npm:@mescius/wijmo.angular2.gauge/index.js",
"@mescius/wijmo.angular2.grid.detail": "npm:@mescius/wijmo.angular2.grid.detail/index.js",
"@mescius/wijmo.angular2.grid.filter": "npm:@mescius/wijmo.angular2.grid.filter/index.js",
"@mescius/wijmo.angular2.grid.grouppanel": "npm:@mescius/wijmo.angular2.grid.grouppanel/index.js",
"@mescius/wijmo.angular2.grid.search": "npm:@mescius/wijmo.angular2.grid.search/index.js",
"@mescius/wijmo.angular2.grid.multirow": "npm:@mescius/wijmo.angular2.grid.multirow/index.js",
"@mescius/wijmo.angular2.grid.sheet": "npm:@mescius/wijmo.angular2.grid.sheet/index.js",
'@mescius/wijmo.angular2.grid.transposed': 'npm:@mescius/wijmo.angular2.grid.transposed/index.js',
'@mescius/wijmo.angular2.grid.transposedmultirow': 'npm:@mescius/wijmo.angular2.grid.transposedmultirow/index.js',
"@mescius/wijmo.angular2.grid": "npm:@mescius/wijmo.angular2.grid/index.js",
"@mescius/wijmo.angular2.input": "npm:@mescius/wijmo.angular2.input/index.js",
"@mescius/wijmo.angular2.olap": "npm:@mescius/wijmo.angular2.olap/index.js",
"@mescius/wijmo.angular2.viewer": "npm:@mescius/wijmo.angular2.viewer/index.js",
"@mescius/wijmo.angular2.nav": "npm:@mescius/wijmo.angular2.nav/index.js",
"@mescius/wijmo.angular2.directivebase": "npm:@mescius/wijmo.angular2.directivebase/index.js",
'@mescius/wijmo.angular2.barcode.common': 'npm:@mescius/wijmo.angular2.barcode.common/index.js',
'@mescius/wijmo.angular2.barcode.composite': 'npm:@mescius/wijmo.angular2.barcode.composite/index.js',
'@mescius/wijmo.angular2.barcode.specialized': 'npm:@mescius/wijmo.angular2.barcode.specialized/index.js',
'bootstrap.css': 'npm:bootstrap/dist/css/bootstrap.min.css',
'jszip': 'https://cdnjs.cloudflare.com/ajax/libs/jszip/3.10.1/jszip.min.js',
'@angular/core': 'npm:@angular/core/fesm2022/core.mjs',
'@angular/core/primitives/di': 'npm:@angular/core/fesm2022/primitives/di.mjs',
'@angular/core/primitives/signals': 'npm:@angular/core/fesm2022/primitives/signals.mjs',
'@angular/core/primitives/event-dispatch': 'npm:@angular/core/fesm2022/primitives/event-dispatch.mjs',
'@angular/common': 'npm:@angular/common/fesm2022/common.mjs',
'@angular/common/http': 'npm:@angular/common/fesm2022/http.mjs',
'@angular/compiler': 'npm:@angular/compiler/fesm2022/compiler.mjs',
'@angular/platform-browser': 'npm:@angular/platform-browser/fesm2022/platform-browser.mjs',
'@angular/platform-browser-dynamic': 'npm:@angular/platform-browser-dynamic/fesm2022/platform-browser-dynamic.mjs',
'@angular/http': 'npm:@angular/http/fesm2022/http.mjs',
'@angular/router': 'npm:@angular/router/fesm2022/router.mjs',
'@angular/forms': 'npm:@angular/forms/fesm2022/forms.mjs',
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
"./src": {
defaultExtension: 'ts'
},
"node_modules": {
defaultExtension: 'js'
},
wijmo: {
defaultExtension: 'js',
}
}
});
})(this);